Package org.apache.storm.metricstore.rocksdb

## Enum KeyType

- java.lang.Object
- - java.lang.Enum<KeyType>
  - - org.apache.storm.metricstore.rocksdb.KeyType

- All Implemented Interfaces:
    `Serializable`, `Comparable<KeyType>`

      public enum KeyType
      extends Enum<KeyType>

  Specifies all the valid types of keys and their values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COMPONENT_STRING` |
    `EXEC_ID_STRING` |
    `HOST_STRING` |
    `METADATA_STRING_END` |
    `METADATA_STRING_START` |
    `METRIC_DATA` |
    `METRIC_STRING` |
    `STREAM_ID_STRING` |
    `TOPOLOGY_BLOB` |
    `TOPOLOGY_STRING` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KeyType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KeyType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOPOLOGY_BLOB

          public static final KeyType TOPOLOGY_BLOB

    - #### METADATA_STRING_START

          public static final KeyType METADATA_STRING_START

    - #### TOPOLOGY_STRING

          public static final KeyType TOPOLOGY_STRING

    - #### METRIC_STRING

          public static final KeyType METRIC_STRING

    - #### COMPONENT_STRING

          public static final KeyType COMPONENT_STRING

    - #### EXEC_ID_STRING

          public static final KeyType EXEC_ID_STRING

    - #### HOST_STRING

          public static final KeyType HOST_STRING

    - #### STREAM_ID_STRING

          public static final KeyType STREAM_ID_STRING

    - #### METADATA_STRING_END

          public static final KeyType METADATA_STRING_END

    - #### METRIC_DATA

          public static final KeyType METRIC_DATA

  - ### Method Detail

    - #### values

          public static KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KeyType c : KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KeyType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null